<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.toolbar-h1 {
   text-transform: capitalize;
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="toolbar-h1">
<img src="/img/rhn-icon-api.gif" alt="application program interface" /> <a href="/rhn/apidoc/index.jsp">API Overview</a>:

Provides methods to create kickstart files
<br />

</div>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deleteTreeAndProfiles"/>deleteTreeAndProfiles</a></li>
<li><a href="#list"/>list</a></li>
<li><a href="#listInstallTypes"/>listInstallTypes</a></li>
<li><a href="#rename"/>rename</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<h2>Description</h2>
Provides methods to create kickstart files
<p>
</p>
<p><strong>Namespace</strong>:
kickstart.tree
</p>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a Kickstart Tree (Distribution) in Satellite
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string treeLabel - Label for the new kickstart tree
 </li>
<li>

    string basePath - path to the base or
 root of the kickstart tree.
 </li>
<li>

    string channelLabel - label of channel to 
 associate with ks tree. 
 </li>
<li>

    string installType - String label for 
 KickstartInstallType (rhel_2.1, rhel_3, rhel_4, rhel_5, fedora_9
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Delete a Kickstart Tree (Distribution) in Satellite
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string treeLabel - Label for the
 kickstart tree you want to delete
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteTreeAndProfiles" href="#top">Method: deleteTreeAndProfiles</a></h3>
Description:<br />
Delete a kickstarttree and any profiles associated with
 this kickstart tree.  WARNING:  This will delete all profiles 
 associated with this kickstart tree!
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string treeLabel - Label for the
 kickstart tree you want to delete
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="list" href="#top">Method: list</a></h3>
Description:<br />
List the available kickstartable trees for the given channel.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string channelLabel - Label of channel to
 search.
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - kickstartable tree
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "base_path"</li>
   	<li> int "channel_id"</li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listInstallTypes" href="#top">Method: listInstallTypes</a></h3>
Description:<br />
List the available kickstartable install types (rhel2,3,4,5 and fedora9+)
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 $KickstartInstallType </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="rename" href="#top">Method: rename</a></h3>
Description:<br />
Rename a Kickstart Tree (Distribution) in Satellite
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string originalLabel - Label for the
 kickstart tree you want to rename
 </li>
<li>

    string newLabel - new label to change too
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>
Description:<br />
Edit a Kickstart Tree (Distribution) in Satellite
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string treeLabel - Label for the kickstart tree
 </li>
<li>

    string basePath - path to the base or
 root of the kickstart tree.
 </li>
<li>

    string channelLabel - label of channel to 
 associate with ks tree. 
 </li>
<li>

    string installType - String label for 
 KickstartInstallType (rhel_2.1, rhel_3, rhel_4, rhel_5, fedora_9
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
